MyGUI: MyGUI::Allocator< T > Class Template Reference

MyGUI 3.2.2

Data Structures | Public Types | Public Member Functions | Data Fields
MyGUI::Allocator< T > Class Template Reference

`#include <MyGUI_Allocator.h>`

## Data Structures
struct | rebind

## Public Types
typedef T | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type
typedef T | value_type
typedef value_type * | pointer
typedef value_type & | reference
typedef std::size_t | size_type
typedef std::ptrdiff_t | difference_type

## Public Member Functions
| Allocator ()
| ~Allocator ()
template<typename U >
| Allocator (Allocator< U > const &)
pointer | address (reference r)
const_pointer | address (const_reference r)
pointer | allocate (size_type cnt, typename std::allocator< void >::const_pointer=0)
void | deallocate (pointer p, size_type)
size_type | max_size () const
void | construct (pointer p, const T &t)
void | destroy (pointer p)
bool | operator== (Allocator const &)
bool | operator!= (Allocator const &a)
| Allocator ()
| ~Allocator ()
template<typename U >
| Allocator (Allocator< U > const &)
pointer | address (reference r)
const_pointer | address (const_reference r)
pointer | allocate (size_type cnt, typename std::allocator< void >::const_pointer=0)
void | deallocate (pointer p, size_type)
size_type | max_size () const
void | construct (pointer p, const T &t)
void | destroy (pointer p)
bool | operator== (Allocator const &)
bool | operator!= (Allocator const &a)

## Data Fields
const typedef value_type * | const_pointer
const typedef value_type & | const_reference

## Detailed Description

### template<typename T>
class MyGUI::Allocator< T >

Definition at line 17 of file MyGUI_Allocator.h.

## Member Typedef Documentation

## ◆ difference_type [1/2]

template<typename T >

typedef std::ptrdiff_t MyGUI::Allocator< T >::difference_type

Definition at line 27 of file MyGUI_Allocator.h.

## ◆ difference_type [2/2]

template<typename T >

typedef std::ptrdiff_t MyGUI::Allocator< T >::difference_type

Definition at line 35 of file MyGUI_CustomAllocator.h.

## ◆ pointer [1/2]

template<typename T >

typedef value_type* MyGUI::Allocator< T >::pointer

Definition at line 22 of file MyGUI_Allocator.h.

## ◆ pointer [2/2]

template<typename T >

typedef value_type* MyGUI::Allocator< T >::pointer

Definition at line 30 of file MyGUI_CustomAllocator.h.

## ◆ reference [1/2]

template<typename T >

typedef value_type& MyGUI::Allocator< T >::reference

Definition at line 24 of file MyGUI_Allocator.h.

## ◆ reference [2/2]

template<typename T >

typedef value_type& MyGUI::Allocator< T >::reference

Definition at line 32 of file MyGUI_CustomAllocator.h.

## ◆ size_type [1/2]

template<typename T >

typedef std::size_t MyGUI::Allocator< T >::size_type

Definition at line 26 of file MyGUI_Allocator.h.

## ◆ size_type [2/2]

template<typename T >

typedef std::size_t MyGUI::Allocator< T >::size_type

Definition at line 34 of file MyGUI_CustomAllocator.h.

## ◆ value_type [1/2]

template<typename T >

typedef T MyGUI::Allocator< T >::value_type

Definition at line 21 of file MyGUI_Allocator.h.

## ◆ value_type [2/2]

template<typename T >

typedef T MyGUI::Allocator< T >::value_type

Definition at line 29 of file MyGUI_CustomAllocator.h.

## Constructor & Destructor Documentation

## ◆ Allocator() [1/4]

template<typename T >

MyGUI::Allocator< T >::Allocator | ( |  | ) |
| inlineexplicit

Definition at line 38 of file MyGUI_Allocator.h.

## ◆ ~Allocator() [1/2]

template<typename T >

MyGUI::Allocator< T >::~Allocator | ( |  | ) |
| inline

Definition at line 39 of file MyGUI_Allocator.h.

## ◆ Allocator() [2/4]

template<typename T >
template<typename U >

MyGUI::Allocator< T >::Allocator | ( | Allocator< U > const & |  | ) |
| inlineexplicit

Definition at line 41 of file MyGUI_Allocator.h.

## ◆ Allocator() [3/4]

template<typename T >

MyGUI::Allocator< T >::Allocator | ( |  | ) |
| inlineexplicit

Definition at line 46 of file MyGUI_CustomAllocator.h.

## ◆ ~Allocator() [2/2]

template<typename T >

MyGUI::Allocator< T >::~Allocator | ( |  | ) |
| inline

Definition at line 47 of file MyGUI_CustomAllocator.h.

## ◆ Allocator() [4/4]

template<typename T >
template<typename U >

MyGUI::Allocator< T >::Allocator | ( | Allocator< U > const & |  | ) |
| inlineexplicit

Definition at line 49 of file MyGUI_CustomAllocator.h.

## Member Function Documentation

## ◆ address() [1/4]

template<typename T >

const_pointer MyGUI::Allocator< T >::address | ( | const_reference | r | ) |
| inline

Definition at line 48 of file MyGUI_Allocator.h.

## ◆ address() [2/4]

template<typename T >

const_pointer MyGUI::Allocator< T >::address | ( | const_reference | r | ) |
| inline

Definition at line 56 of file MyGUI_CustomAllocator.h.

## ◆ address() [3/4]

template<typename T >

pointer MyGUI::Allocator< T >::address | ( | reference | r | ) |
| inline

Definition at line 44 of file MyGUI_Allocator.h.

## ◆ address() [4/4]

template<typename T >

pointer MyGUI::Allocator< T >::address | ( | reference | r | ) |
| inline

Definition at line 52 of file MyGUI_CustomAllocator.h.

## ◆ allocate() [1/2]

template<typename T >

pointer MyGUI::Allocator< T >::allocate | ( | size_type | cnt,
|  | typename std::allocator< void >::const_pointer | = `0`
| ) |  |
| inline

Definition at line 54 of file MyGUI_Allocator.h.

## ◆ allocate() [2/2]

template<typename T >

pointer MyGUI::Allocator< T >::allocate | ( | size_type | cnt,
|  | typename std::allocator< void >::const_pointer | = `0`
| ) |  |
| inline

Definition at line 62 of file MyGUI_CustomAllocator.h.

## ◆ construct() [1/2]

template<typename T >

void MyGUI::Allocator< T >::construct | ( | pointer | p,
|  | const T & | t
| ) |  |
| inline

Definition at line 70 of file MyGUI_Allocator.h.

## ◆ construct() [2/2]

template<typename T >

void MyGUI::Allocator< T >::construct | ( | pointer | p,
|  | const T & | t
| ) |  |
| inline

Definition at line 78 of file MyGUI_CustomAllocator.h.

## ◆ deallocate() [1/2]

template<typename T >

void MyGUI::Allocator< T >::deallocate | ( | pointer | p,
|  | size_type |
| ) |  |
| inline

Definition at line 58 of file MyGUI_Allocator.h.

## ◆ deallocate() [2/2]

template<typename T >

void MyGUI::Allocator< T >::deallocate | ( | pointer | p,
|  | size_type |
| ) |  |
| inline

Definition at line 66 of file MyGUI_CustomAllocator.h.

## ◆ destroy() [1/2]

template<typename T >

void MyGUI::Allocator< T >::destroy | ( | pointer | p | ) |
| inline

Definition at line 74 of file MyGUI_Allocator.h.

## ◆ destroy() [2/2]

template<typename T >

void MyGUI::Allocator< T >::destroy | ( | pointer | p | ) |
| inline

Definition at line 82 of file MyGUI_CustomAllocator.h.

## ◆ max_size() [1/2]

template<typename T >

size_type MyGUI::Allocator< T >::max_size | ( |  | ) | const
| inline

Definition at line 64 of file MyGUI_Allocator.h.

## ◆ max_size() [2/2]

template<typename T >

size_type MyGUI::Allocator< T >::max_size | ( |  | ) | const
| inline

Definition at line 72 of file MyGUI_CustomAllocator.h.

## ◆ operator!=() [1/2]

template<typename T >

bool MyGUI::Allocator< T >::operator!= | ( | Allocator< T > const & | a | ) |
| inline

Definition at line 83 of file MyGUI_Allocator.h.

## ◆ operator!=() [2/2]

template<typename T >

bool MyGUI::Allocator< T >::operator!= | ( | Allocator< T > const & | a | ) |
| inline

Definition at line 91 of file MyGUI_CustomAllocator.h.

## ◆ operator==() [1/2]

template<typename T >

bool MyGUI::Allocator< T >::operator== | ( | Allocator< T > const & |  | ) |
| inline

Definition at line 79 of file MyGUI_Allocator.h.

## ◆ operator==() [2/2]

template<typename T >

bool MyGUI::Allocator< T >::operator== | ( | Allocator< T > const & |  | ) |
| inline

Definition at line 87 of file MyGUI_CustomAllocator.h.

## Field Documentation

## ◆ const_pointer

template<typename T >

const typedef value_type * MyGUI::Allocator< T >::const_pointer

Definition at line 23 of file MyGUI_Allocator.h.

## ◆ const_reference

template<typename T >

const typedef value_type & MyGUI::Allocator< T >::const_reference

Definition at line 25 of file MyGUI_Allocator.h.

The documentation for this class was generated from the following files:

- MyGUI_Allocator.h
- MyGUI_CustomAllocator.h